%define compile_apidox 0
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define kde_version 4.7.0
%define kdevplatform_version 4:1.%(echo %{version} | cut -d. -f2,3)

%define rel 1

Name: 		kdevelop4
Summary: 	Integrated Development Environment for C++/C
Version: 4.7.3
Release:        %mkrel %{rel}
Epoch:          4
URL:            http://www.kdevelop.org/
Source0:	http://download.kde.org/stable/kdevelop/%{version}/src/kdevelop-%{version}.tar.bz2
Patch0:		kdevelop4-1.7.3-mageia-fix-po-target.patch
Group: 		Development/Tools
License:        GPL

BuildRequires:  kdelibs4-devel >= 2:%{kde_version}
BuildRequires:  kdevplatform4-devel >= %{kdevplatform_version}
BuildRequires:	kdebase4-workspace-devel >= 2:%{kde_version}
BuildRequires:	okteta-devel >= 1:%{kde_version}

%if %compile_apidox
BuildRequires:  doxygen
%endif
Requires:      cmake
Requires:      git
Requires:      gdb
Requires:      kdevplatform4 >= %{kdevplatform_version}
Recommends:      plasma-applet-kdevelopsessions

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files -f %name.lang
%{_kde_bindir}/*
%{_kde_services}/kcm_kdev*.desktop
%{_kde_services}/kdev*.desktop
%{_kde_appsdir}/kdevgdb
%{_kde_appsdir}/kdevappwizard
%{_kde_appsdir}/kdevcustommakemanager
%{_kde_appsdir}/kdevcppsupport
%{_kde_appsdir}/kdevelop
%{_kde_appsdir}/kdevokteta
%{_kde_appsdir}/kdevfiletemplates
%{_kde_appsdir}/kdevcodegen
%{_kde_appsdir}/kdevmanpage
%{_kde_applicationsdir}/*.desktop
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/config/kdeveloprc
%{_kde_datadir}/config/kdevelop-qthelp.knsrc
%{_kde_datadir}/mime/packages/kdevelop.xml
%{_kde_libdir}/kde4/kcm_kdev_makebuilder.so
%{_kde_libdir}/kde4/kcm_kdev_ninjabuilder.so
%{_kde_libdir}/kde4/kcm_kdevcmake_settings.so
%{_kde_libdir}/kde4/kdevastyle.so
%{_kde_libdir}/kde4/kdevcmakebuilder.so
%{_kde_libdir}/kde4/kdevcmakedocumentation.so
%{_kde_libdir}/kde4/kdevcmakemanager.so
%{_kde_libdir}/kde4/kdevcpplanguagesupport.so
%{_kde_libdir}/kde4/kdevcustommakemanager.so
%{_kde_libdir}/kde4/kdevgdb.so
%{_kde_libdir}/kde4/kdevghprovider.so
%{_kde_libdir}/kde4/kdevkdeprovider.so
%{_kde_libdir}/kde4/kdevmakebuilder.so
%{_kde_libdir}/kde4/kdevmanpage.so
%{_kde_libdir}/kde4/kdevninja.so
%{_kde_libdir}/kde4/kdevokteta.so
%{_kde_libdir}/kde4/kdevqthelp.so
%{_kde_libdir}/kde4/kdevqthelp_config.so
%{_kde_libdir}/kde4/kdevcustomscript.so
%{_kde_libdir}/kde4/krunner_kdevelopsessions.so
%{_kde_libdir}/kde4/kcm_kdev_cmakebuilder.so
%{_kde_libdir}/kde4/kcm_kdevcustombuildsystem.so
%{_kde_libdir}/kde4/kdevcustombuildsystem.so
%{_kde_libdir}/kde4/kdevexecuteplasmoid.so
%{_kde_libdir}/kde4/kcm_kdevcustomdefinesandincludes.so
%{_kde_libdir}/kde4/kdevdefinesandincludesmanager.so
%{_kde_libdir}/libkdevcompilerprovider.so
%{_kde_libdir}/libkdev4cmakecommon.so
%{_kde_libdir}/libkdev4cpprpp.so
%{_kde_libdir}/libkdev4cppduchain.so
%{_kde_libdir}/libkdev4cppparser.so

#------------------------------------------------
%package -n plasma-dataengine-kdevelopsessions
Summary: Show KDevelop sessions
Group: Graphical desktop/KDE
Requires: kdebase4-workspace
Requires: %{name} >= %{epoch}:%{version}

%description -n plasma-dataengine-kdevelopsessions
Show KDevelop sessions.

%files -n plasma-dataengine-kdevelopsessions
%_kde_libdir/kde4/plasma_engine_kdevelopsessions.so
%_kde_services/plasma-dataengine-kdevelopsessions.desktop
%_kde_appsdir/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations

#------------------------------------------------
%package -n plasma-applet-kdevelopsessions
Summary: Show KDevelop sessions
Group: Graphical desktop/KDE
Requires: kdebase4-workspace
Requires: plasma-dataengine-kdevelopsessions >= %{epoch}:%{version}
Conflicts: plasma-dataengine-kdevelopsessions < 4:4.3.80-2 
Conflicts: kdevelop4 < 4:4.3.80-2
BuildArch: noarch

%description -n plasma-applet-kdevelopsessions
Show KDevelop sessions.

%files -n plasma-applet-kdevelopsessions
%_kde_services/plasma-applet-kdevelopsessions.desktop
%_kde_appsdir/plasma/plasmoids/kdevelopsessions

#------------------------------------------------
%package devel
Summary: Development files for kdevelop
Group: Development/KDE and Qt

%description devel
Development files for kdevelop.

%files devel
%{_kde_appsdir}/cmake/modules/FindKDevelop.cmake
%{_kde_includedir}/kdevelop

#------------------------------------------------

%prep
%setup -q -n kdevelop-%{version}
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%if %compile_apidox
make apidox
%endif

%install
%makeinstall_std -C build

%find_lang %name --all-name --with-html 


%changelog
* Mon Feb 01 2016 zezinho <zezinho> 4:4.7.3-1.mga5
+ Revision: 930663
- patch to fix po target build
- new bugfix version #17664

* Tue Feb 10 2015 lmenut <lmenut> 4:4.7.1-1.mga5
+ Revision: 814626
- Update to 4.7.1

* Wed Oct 15 2014 umeabot <umeabot> 4:4.7.0-3.mga5
+ Revision: 745595
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4:4.7.0-2.mga5
+ Revision: 681012
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 27 2014 fwang <fwang> 4:4.7.0-1.mga5
+ Revision: 668566
- 4.7.0

* Sat Aug 23 2014 fwang <fwang> 4:4.6.90-1.mga5
+ Revision: 666759
- update file list
- 4.6.90

* Tue Dec 10 2013 colin <colin> 4:4.6.0-1.mga4
+ Revision: 556197
- New version: 4.6.0

* Mon Nov 18 2013 fwang <fwang> 4:4.5.2-1.mga4
+ Revision: 551711
- new version 4.5.2

* Sat Oct 19 2013 umeabot <umeabot> 4:4.5.1-4.mga4
+ Revision: 530147
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 fwang <fwang> 4:4.5.1-3.mga4
+ Revision: 456320
- update br

* Sun Jun 30 2013 fwang <fwang> 4:4.5.1-2.mga4
+ Revision: 448578
- build with gold to make it faster

* Fri May 31 2013 fwang <fwang> 4:4.5.1-1.mga4
+ Revision: 433523
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 4:4.5.0-1.mga4
+ Revision: 425750
- update file list
- new version 3.5.0

* Sat Jan 12 2013 umeabot <umeabot> 4:4.4.1-2.mga3
+ Revision: 356054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 4:4.4.1-1.mga3
+ Revision: 313226
- new version 4.4.1
- update rpm group

* Tue Oct 16 2012 fwang <fwang> 4:4.4.0-1.mga3
+ Revision: 307076
- new version 4.4.0

* Tue Sep 11 2012 fwang <fwang> 4:4.3.90-1.mga3
+ Revision: 292128
- new version 4.3.90

* Sat Aug 04 2012 fwang <fwang> 4:4.3.80-2.mga3
+ Revision: 278460
- update file list
- update fil elist

* Sat Aug 04 2012 fwang <fwang> 4:4.3.80-1.mga3
+ Revision: 278398
- update file list
- new version 4.3.80

* Sun Jul 08 2012 fwang <fwang> 4:4.3.1-2.mga3
+ Revision: 268811
- fix build with latest okteta

* Sun Apr 15 2012 fwang <fwang> 4:4.3.1-1.mga2
+ Revision: 230833
- new version 4.3.1

* Mon Mar 12 2012 fwang <fwang> 4:4.3.0-1.mga2
+ Revision: 222972
- new version 4.3.0 final

* Sat Feb 25 2012 fwang <fwang> 4:4.2.90-1.mga2
+ Revision: 214284
- new version 4.2.90

* Tue Feb 14 2012 fwang <fwang> 4:4.2.82-1.mga2
+ Revision: 208696
- new version 4.2.82

* Mon Jan 23 2012 fwang <fwang> 4:4.2.81-1.mga2
+ Revision: 200318
- update file list
- update file list
- drop merged patch
- new version 4.2.81

* Thu Dec 22 2011 fwang <fwang> 4:4.2.3-2.mga2
+ Revision: 185802
- update patch
- real patch
- fix typo
- add upstream patch to find okteta
- rebuild for new okteta

* Sat Jun 25 2011 mikala <mikala> 4:4.2.3-1.mga2
+ Revision: 113647
- Update tarball to 4.2.3 ( http://kdevelop.org/kdevelop/kdevelop-423-released )

* Tue Apr 12 2011 mikala <mikala> 4:4.2.2-1.mga1
+ Revision: 83949
- Remove most of the requires (suggested by Kicer86)
- Remove old obsoletes

* Wed Apr 06 2011 mikala <mikala> 4:4.2.2-0.mga1
+ Revision: 81402
- Update tarball to 4.2.2

* Mon Mar 07 2011 mikala <mikala> 4:4.2.0-2.mga1
+ Revision: 66147
- Remove BuildRoot
- Drop old conflict
- imported package kdevelop4


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 4:4.2.0-2mdv2011.0
+ Revision: 640186
- rebuild

* Mon Jan 24 2011 Funda Wang <fwang@mandriva.org> 4:4.2.0-1
+ Revision: 632465
- new version 4.2.0

* Mon Jan 10 2011 Funda Wang <fwang@mandriva.org> 4:4.1.90-1
+ Revision: 630841
- new version 4.1.90

* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 4:4.1.81-1mdv2011.0
+ Revision: 625813
- update file list
- new version 4.1.81

* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 4:4.1.80-1mdv2011.0
+ Revision: 622557
- update file list
- update url
- new version 4.1.80

* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 4:4.1.60-0.git20101121.1mdv2011.0
+ Revision: 599638
- bump req
- new snapshot
- requires git

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 4:4.1.60-0.git20101010.1mdv2011.0
+ Revision: 584892
- New snapshot

* Thu Sep 09 2010 Funda Wang <fwang@mandriva.org> 4:4.1.60-0.git20100906.2mdv2011.0
+ Revision: 576909
- BR kdeutils4

* Tue Sep 07 2010 Funda Wang <fwang@mandriva.org> 4:4.1.60-0.git20100906.1mdv2011.0
+ Revision: 576573
- New snapshot to work with kde 4.6
- simplify BRs
- new version 4.0.2

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 4:4.0.1-1mdv2011.0
+ Revision: 554769
- new version 4.0.1

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 4:4.0.0-2mdv2010.1
+ Revision: 540851
- requires kdevplatform4 1.0

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 4:4.0.0-1mdv2010.1
+ Revision: 540702
- update file list
- New version 4.0.0 final

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Simplfy %%find_lang

* Sat Apr 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.10.2-1mdv2010.1
+ Revision: 535742
- New version 3.10.2

* Fri Apr 16 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.10.1-1mdv2010.1
+ Revision: 535381
- New version 3.10.1

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 4:3.10.0-1mdv2010.1
+ Revision: 531392
- new version 3.10.0

* Sun Mar 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.99-2mdv2010.1
+ Revision: 518823
- Use new upstream tarball

* Sun Mar 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.99-1mdv2010.1
+ Revision: 515523
- Update to beta9

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 4:3.9.98-2mdv2010.1
+ Revision: 504705
- bump kdevplatform req

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 4:3.9.98-1mdv2010.1
+ Revision: 504472
- fix file list
- New version 3.9.98

* Mon Dec 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.97-2mdv2010.1
+ Revision: 478400
- Fix file list
- Update to Beta 7

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.96-2mdv2010.1
+ Revision: 465251
- Rebuild against new Qt

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 4:3.9.96-1mdv2010.1
+ Revision: 462785
- fix file list
- New version 3.9.96

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 4:3.9.95-1mdv2010.0
+ Revision: 419823
- new version 3.9.95

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - increase requires

* Tue Aug 18 2009 Raphaël Gertz <rapsys@mandriva.org> 4:3.9.94-2mdv2010.0
+ Revision: 417489
- Rebuild for libjpeg

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 4:3.9.94-1mdv2010.0
+ Revision: 394934
- New version 3.9.94

* Thu May 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.93-1mdv2010.0
+ Revision: 380380
- Add tarballs
- Update to 3.9.93

* Mon May 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.92-0.966572.1mdv2010.0
+ Revision: 374804
- Fix BuildRequires
- New svn snapshot

* Sun Apr 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.91-2mdv2009.1
+ Revision: 366511
- Rebuild against new KDE 4.2

  + Funda Wang <fwang@mandriva.org>
    - update url

* Mon Feb 02 2009 Funda Wang <fwang@mandriva.org> 4:3.9.91-1mdv2009.1
+ Revision: 336324
- New version 3.9.91
- fix file list

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 4:3.9.90-1mdv2009.1
+ Revision: 334816
- New version 3.9.90

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add kdevplatform4 as Requires to unable plugins

* Wed Jan 14 2009 Funda Wang <fwang@mandriva.org> 4:3.9.85-1mdv2009.1
+ Revision: 329308
- fix BR

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with latest unstable release

* Tue Dec 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.84-1mdv2009.1
+ Revision: 314975
- Update to kde 4.2 Beta2

* Sat Nov 29 2008 Funda Wang <fwang@mandriva.org> 4:3.9.83-0.886616.2mdv2009.1
+ Revision: 307959
- rebuild for new kdevplatform

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 4:3.9.83-0.886616.1mdv2009.1
+ Revision: 307373
- 3.9.83

* Sun Nov 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.82-0.881691.4mdv2009.1
+ Revision: 301414
- Fix file list

* Sun Nov 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.82-0.881691.3mdv2009.1
+ Revision: 301377
- Obsolete old kde3 kdevelop

* Sun Nov 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.82-0.881691.2mdv2009.1
+ Revision: 301324
- Bump release because BS failure
- Fix BuildRequires
- Fix BuildRequires
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 3:4.0.74-1mdv2009.0
+ Revision: 208059
- BR automoc
- New version 4.0.74

* Sun May 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.73-1mdv2009.0
+ Revision: 205562
- Update to kde 4.0.73
- New snapshot 4.0.70

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.742897.2mdv2008.1
+ Revision: 114273
- New snapshot

* Mon Nov 26 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.740174.2mdv2008.1
+ Revision: 113277
- Fix Requires

* Sun Nov 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.740174.1mdv2008.1
+ Revision: 111992
- Add kdevplatform4-devel as BuildRequire
- kdevelop 4 Rc1

  + Laurent Montel <lmontel@mandriva.org>
    - it compiles with enable-final
    - new snapshot


* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070228.3mdv2007.1
+ Revision: 130301
- new snapshot
- 3.80.3
- new snapshot

* Wed Jan 24 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070123.3mdv2007.1
+ Revision: 112724
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070117.3mdv2007.1
+ Revision: 110241
- Update

* Thu Jan 11 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070109.3mdv2007.1
+ Revision: 107381
- Move cmake module into devel

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107171
- +1
- Update
- Minor fix

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070103.1mdv2007.1
+ Revision: 103683
- Update
- Remove not necessary files
- Import kdevelop4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.3.5-2mdv2007.0
- First package

